/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.transport.socket.ssl;

import javax.net.ServerSocketFactory;
import org.jboss.remoting.transport.socket.SocketServerInvokerMBean;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public interface SSLSocketServerInvokerMBean extends SocketServerInvokerMBean
{
   /**
    * Sets the server socket factory for the SocketServerInvoker to use.
    * Can produce normal server socket or ssl server socket, depending
    * on implementation passed.
    *
    * @param serverSocketFactory
    */
   void setServerSocketFactory(ServerSocketFactory serverSocketFactory);


}