/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.connection;

import org.apache.log4j.Level;
import org.jboss.jrunit.harness.TestDriver;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class ConnectionValidationTestCase extends TestDriver
{
   public void declareTestClasses()
   {
      addTestClasses(ConnectionValidatorClient.class.getName(),
                     1,
                     ConnectionValidationServer.class.getName());
   }

   protected Level getTestHarnessLogLevel()
   {
      return Level.DEBUG;
   }
}