/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.lifecycle;

import org.jboss.remoting.InvokerLocator;
import org.jboss.remoting.transport.Connector;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class ConnectorStartStopTestCase extends TestCase
{
   public void testStartStop() throws Exception
   {
      InvokerLocator serverLocator = new InvokerLocator("socket://localhost:2222");
      Connector connector = new Connector();
      connector.setInvokerLocator(serverLocator.getLocatorURI());
      connector.start();
      connector.stop();

      connector = new Connector();
      connector.setInvokerLocator(serverLocator.getLocatorURI());
      connector.start();
      connector.stop();

   }
}