/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.marshall.dynamic.remote.socket;

import org.jboss.remoting.InvokerLocator;

/**
 * @author <a href="mailto:telrod@jboss.com">Tom Elrod</a>
 */
public interface MarshallerLoadingConstants
{
   // Default locator values
   static String transport = "socket";
   static String host = "localhost";
   static int port = 5400;
   static int loaderPort = 5401;

   static String dataType = "test";
   static String locatorURI = transport + "://" + host + ":" + port + "/?" +
                              InvokerLocator.DATATYPE + "=" + dataType + "&" +
                              InvokerLocator.LOADER_PORT + "=" + loaderPort + "&" +
                              InvokerLocator.MARSHALLER + "=" + "org.jboss.test.remoting.marshall.dynamic.remote.socket.TestMarshaller" + "&" +
                              InvokerLocator.UNMARSHALLER + "=" + "org.jboss.test.remoting.marshall.dynamic.remote.socket.TestUnMarshaller";
   ;
}
