/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.transport.http;

import org.jboss.test.remoting.transport.web.WebInvokerTestClient;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class HTTPInvokerTestClient extends WebInvokerTestClient implements HTTPInvokerConstants
{
   public String getLocatorURI()
   {
      return transport + "://" + host + ":" + port;
   }

   public static void main(String[] args)
   {
      HTTPInvokerTestClient client = new HTTPInvokerTestClient();
      try
      {
         client.testInvocation();
      }
      catch(Exception e)
      {
         e.printStackTrace();
      }
   }

}