
/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Aug 15, 2005
 */
package org.jboss.test.remoting.transport.multiplex;

import org.jboss.remoting.transport.multiplex.MultiplexingManager;

import junit.framework.Test;
import junit.framework.TestSuite;


/**
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * @version $Revision: 1.4 $
 * <p>
 * Copyright (c) 2005
 * </p>
 */

public class MultiplexClientTestSuite
{

   public static Test suite()
   {
      MultiplexingManager.setOnClient(true);
      
      TestSuite suite = new TestSuite("Test for org.jboss.test.remoting.transport.multiplex");
      //$JUnit-BEGIN$
      suite.addTestSuite(PrimeScenarioClient.class);
      suite.addTestSuite(BasicSocketBehaviorClient.class);
      suite.addTestSuite(BasicServerSocketBehaviorClient.class);
      suite.addTestSuite(ShutdownClient.class);
      //$JUnit-END$
      return suite;
   }
}

