/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Jul 31, 2005
 */
package org.jboss.remoting.transport.multiplex;

import java.io.IOException;
import java.io.OutputStream;

/**
 * 
 * <p>
 * Copyright (c) 2005
 * <p>
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 */
public class SinkOutputStream extends OutputStream
{
   private static SinkOutputStream sinkOutputStream;

   private SinkOutputStream()
   {
   }

   
   public static SinkOutputStream getSinkOutputStream()
   {
      if (sinkOutputStream == null)
         sinkOutputStream = new SinkOutputStream();
      
      return sinkOutputStream;
   }

   public void write(int b) throws IOException
   {
   }
   
   public void close()
   {
   }

}
