/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Jul 24, 2005
 */
package org.jboss.remoting.transport.multiplex;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

import javax.net.SocketFactory;

/**
 * 
 * <p>
 * Copyright (c) 2005
 * <p>
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * 
 * TODO: finish
 * TODO: write VirtualServerSocketFactory
 */
public class VirtualSocketFactory extends SocketFactory
{

/**
 * 
 */
   public static SocketFactory getDefault()
   {
      return new VirtualSocketFactory();
   }
   
   
/**
 * 
 */
   protected VirtualSocketFactory()
   {
   }

   
/**
 * 
 */
   public Socket createSocket()
   {
      return new VirtualSocket();
   }
   
   
/** 
 * 
 */
   public Socket createSocket(String host, int port) throws IOException, UnknownHostException
   {
//      MultiplexingManager multiplexor = MultiplexingManager.getaManager(host, port);
//      VirtualSocket virtualSocket = new VirtualSocket(multiplexor, new SocketId(port));
//      return virtualSocket;
      
      return new VirtualSocket(host, port);
   }

   
/**
 * 
 */
   public Socket createSocket(String host, int port, InetAddress localAddress, int localPort)
   throws IOException, UnknownHostException
   {
      return new VirtualSocket(host, port, localAddress, localPort);
   }

   
/**
 * 
 */
   public Socket createSocket(InetAddress address, int port) throws IOException
   {
      return new VirtualSocket(address, port);
   }

   
/**
 * 
 */
   public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)
   throws IOException, UnknownHostException
   {
      return new VirtualSocket(address, port, localAddress, localPort);
   }
}
