package org.jboss.remoting.transport.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * The MBean interface for the ServletServerInvoker.
 *
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 */
public interface ServletServerInvokerMBean
{
   /**
    * Method to be called by the servlet to handle the incoming request.
    *
    * @param request
    * @param response
    * @throws ServletException
    * @throws IOException
    */
   void processRequest(HttpServletRequest request, HttpServletResponse response)
         throws ServletException, IOException;

}
