
/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Aug 13, 2005
 */
package org.jboss.test.remoting.transport.multiplex;

import java.net.InetAddress;
import java.net.InetSocketAddress;


/**
 * A MultiplexConstants.

 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * @version $Revision: 1.5 $
 * <p>
 * Copyright (c) 2005
 * </p>
 */

public interface MultiplexConstants
{
   int READ 					       = 1;
   int WRITE 					       = 2;
   int SHUTDOWN_INPUT 			       = 3;
   int SHUTDOWN_OUTPUT 			       = 4;
   int SLEEP					       = 5;
   int CLOSE_TEST_SOCKET		       = 6;
   int CLOSE_SCRIPT_SOCKET		       = 7;
   int CONNECT_TO_CLIENT		       = 8;
   int CONNECT_TO_CLIENT_SINGLE_PORT   = 9;
   int CONNECT_TO_CLIENT_MULTI_PORT	   = 10;
   int READ_FROM_CLIENT			       = 11;
   int WRITE_TO_CLIENT			       = 12;
   int CLOSE_CLIENT_SOCKET		       = 13;
   int END_TESTS				       = 14;
   
   String primeScenarioServerHost = "localhost";
   int primeScenarioServerPort = 9999;
   
   String basicBehaviorServerHost = "localhost";
   int basicBehaviorServerPort = 7777;
   InetSocketAddress basicBehaviorServerSocketAddress = new InetSocketAddress(basicBehaviorServerHost, basicBehaviorServerPort);
   
   String clientServerSocketHost = "localhost";
   int clientServerSocketPort = 6666;
   InetSocketAddress clientServerSocketAddress = new InetSocketAddress(clientServerSocketHost, clientServerSocketPort);
   
}

