
/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Aug 18, 2005
 */
package org.jboss.test.remoting.transport.multiplex;

import java.io.IOException;

import junit.framework.TestCase;


/**
 * A ShutdownClient.

 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * @version $Revision: 1.2 $
 * <p>
 * Copyright (c) 2005
 * </p>
 */

public class ShutdownClient extends BasicBehaviorClient
{ 
   public void testZZZOver() throws IOException
   {
      log.info("entering testOver()");
      byte[] script = new byte[] {CLOSE_TEST_SOCKET, CLOSE_SCRIPT_SOCKET, END_TESTS};
      scriptStream.write(script.length);
      scriptStream.write(script); 
      log.info("basic behavior tests: shutting down server");
      testsOver = true;
      assertTrue(true);
   }
}

