/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.transport.multiplex;

import org.apache.log4j.Level;
import org.jboss.jrunit.harness.TestDriver;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class SimpleMultiplexTestCase extends TestDriver
{
   public void declareTestClasses()
   {
      addTestClasses(SimpleClientTest.class.getName(),
                     1,
                     SimpleServerTest.class.getName());
   }

   protected Level getTestHarnessLogLevel()
   {
      return Level.DEBUG;
   }
}