/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.transport.servlet;

import org.jboss.test.remoting.transport.web.WebInvokerTestClient;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class ServletInvokerTestClient extends WebInvokerTestClient
{

   public String getLocatorURI()
   {
      //return "servlet://localhost:8080/servlet-invoker/ServerInvokerServlet";
      return "http://localhost:8080/servlet-invoker/ServerInvokerServlet";
   }

   public static void main(String[] args)
   {
      ServletInvokerTestClient client = new ServletInvokerTestClient();
      try
      {
         client.testInvocation();
      }
      catch(Exception e)
      {
         e.printStackTrace();
      }
   }

}